MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
Instance Struct Referencefinal

`#include <Instance.hxx>`

Inheritance diagram for Instance:
[legend]
Collaboration diagram for Instance:
[legend]

## Public Member Functions
| Instance ()
void | Shutdown ()
| Initiate shutdown. More...
void | EmitIdle (unsigned mask)

## Data Fields
MaskMonitor | idle_monitor
ClientList * | client_list
Partition * | partition
StateFile * | state_file
Data Fields inherited from EventLoopHolder
EventLoop | event_loop

## Detailed Description

Definition at line 52 of file Instance.hxx.

## Constructor & Destructor Documentation

Instance::Instance | ( |  | ) |
| inline

Definition at line 91 of file Instance.hxx.

## Member Function Documentation

void Instance::EmitIdle | ( | unsigned | mask | ) |
| inline

Definition at line 101 of file Instance.hxx.

void Instance::Shutdown | ( |  | ) |
| inline

Initiate shutdown.

Wrapper for EventLoop::Break().

Definition at line 97 of file Instance.hxx.

## Field Documentation

ClientList* Instance::client_list

Definition at line 85 of file Instance.hxx.

MaskMonitor Instance::idle_monitor

Definition at line 67 of file Instance.hxx.

Partition* Instance::partition

Definition at line 87 of file Instance.hxx.

StateFile* Instance::state_file

Definition at line 89 of file Instance.hxx.

The documentation for this struct was generated from the following file:

- Instance.hxx